Bug 255578 - Turning on disconnected mode should initiate a full download of all the mails
Summary: Turning on disconnected mode should initiate a full download of all the mails
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: libakonadi (show other bugs)
Version: 4.5
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-29 12:53 UTC by András Manţia
Modified: 2013-03-03 14:06 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description András Manţia 2010-10-29 12:53:09 UTC
If you set up an IMAP account and later decide to turn it into a disconnected IMAP account, it doesn't work as expected: the mail bodies are only shown if the account is online, e.g you can't view a message in offline mode.
This is valid for messages for whose header was already downloaded.
Expected is that all message content is available in disconnected mode.
Suggestion: in case the user turns on disconnected mode for an already configure account, all mails should be downloaded again, together with their body (or all bodies should be downloaded for already downloaded items).
Comment 1 Kevin Ottens 2012-02-11 08:43:07 UTC
Needs support in libakonadi ResourceBase first
Comment 2 András Manţia 2013-03-03 14:06:32 UTC
Git commit c004365e4ce815d341aa2098ad412f450dc65336 by Andras Mantia.
Committed on 03/03/2013 at 11:32.
Pushed by amantia into branch 'master'.

Fetch the missing mail bodies in offline mode (requires fixed in Akonadi server and Akonadi client libraries as well to work).
Related: bug 264629, bug 286047

FIXED-IN: 4.11

M  +6    -1    resources/imap/imapresource.cpp
M  +1    -0    resources/imap/imapresource.h
M  +76   -7    resources/imap/retrieveitemstask.cpp
M  +11   -3    resources/imap/retrieveitemstask.h

http://commits.kde.org/kdepim-runtime/c004365e4ce815d341aa2098ad412f450dc65336